Name: tix
Version: 4.1.0.0005
Release: 1
Group: Development/Languages/Tcl
Source: ftp://ftp.xpi.com/pub/Tix4.1.0.005.tar.gz
URL: http://www.xpi.com/tix/
BuildRoot: /tmp/tix-root
Copyright: BSD
Packager: Daniel Schepler <dks2@cec.wustl.edu>
Summary: many metawidgets (such as notepads) for tk

%define TCL_MAJOR_VERSION 8.0
%define TK_MAJOR_VERSION 8.0
%define TIX_MAJOR_VERSION 4.1
%define TIX_PATCH_LEVEL 4.1.0

%description
Tix is an add on for the tk widget set which adds many complex widgets
which are built from tk building blocks. The extra widgets include
combo box, file selection, notebooks, paned windows, spin controls,
and hierarchical list boxes.

%package devel
Group: Development/Languages/Tcl
Summary: Header files and static libraries for the Tix widget set

%description devel
Libraries and header files for developing C programs using and/or
extending the Tix widget set.  This package is not needed for writing
scripts using the Tix widget set.

%prep
%setup -n Tix%{TIX_PATCH_LEVEL}

%build
cd unix
./configure --prefix=/usr --enable-gcc --disable-shared
cd tk%{TK_MAJOR_VERSION}
./configure --prefix=/usr --enable-gcc --disable-shared \
        --with-tcl=/usr/src/tcl%{TCL_MAJOR_VERSION} \
        --with-tk=/usr/src/tk%{TK_MAJOR_VERSION}
make

# Now protect library from deletion, clean up, then rebuild using
# shared library
mv -f libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.a \
        backup.libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.a.nodel
cd ..
make distclean
./configure --prefix=/usr --enable-gcc --enable-shared
cd tk%{TK_MAJOR_VERSION}
./configure --prefix=/usr --enable-gcc --enable-shared \
        --with-tcl=/usr/src/tcl%{TCL_MAJOR_VERSION} \
        --with-tk=/usr/src/tk%{TK_MAJOR_VERSION}
make

mv -f backup.libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.a.nodel \
        libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.a

cd ../..
rm -rf html-only/
mkdir -p html-only/man
cp man/*.html html-only/man

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr
cd unix
make install prefix=${RPM_BUILD_ROOT}/usr
cd tk%{TK_MAJOR_VERSION}
make install prefix=${RPM_BUILD_ROOT}/usr
install -m 644 libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.a \
        ${RPM_BUILD_ROOT}/usr/lib/

ln -sf libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.a \
        ${RPM_BUILD_ROOT}/usr/lib/libtix.a
ln -sf libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.so \
        ${RPM_BUILD_ROOT}/usr/lib/libtix.so
ln -sf tixwish%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION} \
        ${RPM_BUILD_ROOT}/usr/bin/tixwish

# Correct error in Tix's installation procedure
mv ${RPM_BUILD_ROOT}/usr/man/mann/tixwish.1 ${RPM_BUILD_ROOT}/usr/man/man1/

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/bin/tixwish
/usr/bin/tixwish%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}
/usr/bin/tixindex

/usr/lib/libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.so

/usr/lib/tix%{TIX_MAJOR_VERSION}

/usr/man/man1/*
/usr/man/mann/*

%doc ABOUT.html ABOUT.txt README.html README.txt license.terms
%doc docs/ html-only/man/

%files devel
/usr/include/tix.h
/usr/lib/libtix.so
/usr/lib/libtix%{TIX_MAJOR_VERSION}.%{TCL_MAJOR_VERSION}.a
/usr/lib/libtix.a
